Bug 662897 - Publican does not set name_label when rebuilding previously packaged books
Publican does not set name_label when rebuilding previously packaged books
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-14 00:38 EST by Ruediger Landmann
Modified: 2011-07-25 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 20:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-12-14 00:38:04 EST
Description of problem:
Publican does not include the name_label in the %post section of a document's spec file when building an untranslated book. This means that when rebuilding a book from an existing SRPM (rather than from the XML source), the name_label is not set, and the English title of the book appears in navigation menus. 

Version-Release number of selected component (if applicable):
2.5

How reproducible:
100%

Steps to Reproduce:
1. package a translated book
2. extract the contents of the SRPM
3. run "publican package" on the extracted files
  
Actual results:
The %post section of the spec file contains: 

name_label => ""

Expected results:
The %post section of the spec file contains the translated title as the name_label

Additional info:
Comment 1 Jeff Fearn 2010-12-14 23:08:42 EST
Ensured web labels are set correctly in cfg file created during packaging.

Fixed in revision 1691
Comment 2 Jeff Fearn 2011-07-05 05:42:59 EDT
Back ported to branches/publican-2x

Committed revision 1801.
Comment 3 Ruediger Landmann 2011-07-21 18:47:54 EDT
Verified in build 2.5-2.fc15.t17:

* package translated book with publican package --binary
* install book and verify that translated title appears in ToC
* extract sources from src.rpm
* edit spec file to bump release number
* rebuild with rpmbuild
* update book and verify that translated title still appears.

Note You need to log in before you can comment on or make changes to this bug.